package main;

/**
 * Közös interfész azok az osztályoknak, amik interact-ot tudnak kiváltani
 * 
 */
public interface IAccepter {

	/**
	 * A paraméterként kapott {@link IInterActor}-on meghívja az
	 * interactWith(...) függvényt saját magát adva paraméterként.
	 * 
	 * @param interactor Interaktor, aki reakciót kér
	 */
	public void accept(IInterActor interactor);

}