package main;

/**
 * 
 * Közös interfész azoknak az osztályoknak, amik reagálnak az idő múlására
 *
 */
public interface ITimed {

	/**
	 * Deregisztrálja magát a {@link Director} {@link ITimed}-okat tartalmazó listájából.
	 * 
	 */
	public void dispose();

	/**
	 * Az idő múlását szimulálja.
	 * 
	 */
	public void tick();

}