package main;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintStream;

/**
 * A program elindításáért felelő osztály, a program belépési pontja
 * 
 * @author Kozaroczy
 * 
 */
public class Main {
	/** A determinisztikus működést lehet vele bekapcsolni */
	public static boolean RND = true;

	public static void main(String[] args) {
		PrintStream log = null;

		for (int i = 0; i < args.length; i++) {
			if (args[i].equals("-log")) {
				try {
					log = new PrintStream(new FileOutputStream(args[i + 1]));
				} catch (FileNotFoundException e) {
					System.err.println("Ide nem lehet logolni");
				}
				i++;
			} else if (args[i].equals("-det")) {
				RND = false;
			}
		}
		Logger.init(log);
		
		Controller c = Controller.getInstance();
		c.playGame();
	}

}
